'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (req, res) {
    var wiki = req.params.wiki;
    var page = req.params.page;

    if (req.headers.accept !== HEADER_API_V1) {
        res.set('API-Version-Warning', 'API Version should be specified in accept header (example: "Accept: application/vnd.scpnet.v1+json")');
    }

    if (wiki && page) {
        _db2.default.one('SELECT data from pages WHERE wiki = $(wiki) AND name = $(page)', { wiki: wiki, page: page }).then(function (result) {
            res.send(result);
        }).catch(function (error) {
            if (error.received === 0) {
                res.status(404).send({ result: 'Page not found' });
            } else {
                res.status(500).send({ error: 'Unhandled internal error' });
                _sentry2.default.captureException(error, {
                    tags: { location: 'api/pages' },
                    extra: { wiki: wiki, page: page }
                });
                _pino2.default.error(error);
            }
        });
    } else {
        res.send(400);
    }
};

var _db = require('../../config/db');

var _db2 = _interopRequireDefault(_db);

var _sentry = require('../../config/sentry');

var _sentry2 = _interopRequireDefault(_sentry);

var _pino = require('../../config/pino');

var _pino2 = _interopRequireDefault(_pino);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HEADER_API_V1 = 'application/vnd.scpnet.v1+json';
//# sourceMappingURL=pages.js.map